package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag291;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT291Creator;

/**
 * @author huangmengyuan
 * @create 2023/2/28
 */
public class Tag21Creator extends AbsTagCreate {
    private MT291Creator mt291Creator;
    public Tag21Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt291Creator = (MT291Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag21Value = mt291Creator.getRelatedReference();
        mt291Creator.set("21",tag21Value);
    }
}
